package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * @author yanghuan
 * @title: CorrectHomeWorkRequest
 * @projectName ssj
 * @description: TODO
 * @date 2019/5/24 18:19
 */
public class CorrectHomeWorkRequest extends BaseRequest {
    private final static long serialVersionUID = 1L;


    @NotNull(message = "页码不能为空")
    @ApiModelProperty(name="pageNo",value = "页码",required = true)
    private int pageNo;

    @NotNull(message = "页码不能为空")
    @ApiModelProperty(name="pageSize",value = "每页条数",required = true)
    private  int  pageSize;

    @ApiModelProperty(name="maxCreateTime",value = "最大时间,格式(yyyy-MM-dd HH:mm:ss)",required = true)
    private  String maxCreateTime;

    @ApiModelProperty(name="managerId",value = "管理员id",required = false)
    private String managerId;

    @ApiModelProperty(name="teacherName",value = "老师名称",required = false)
    private String teacherName;
    @ApiModelProperty(name = "timeType", value = "时间(0:全部，1：今天，2：前一天，3：前2天，4：前3天，5：前4天，6：前5天，7：前6天)", required = true)
    private int timeType;

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public int getTimeType() { return timeType; }

    public void setTimeType(int timeType) { this.timeType = timeType; }
}
